summaryrefslogtreecommitdiff
path: root/test/scorsh_testsuite
diff options
context:
space:
mode:
authorKatolaZ <katolaz@freaknet.org>2017-08-09 21:29:45 +0100
committerKatolaZ <katolaz@freaknet.org>2017-08-09 21:29:45 +0100
commit33b7c33ab447a0463e414c6cf8f9a2cd2d047a20 (patch)
treebaeaae3eca65536bbe17ad9fe196c7383eafd4da /test/scorsh_testsuite
parent231beb5c3fc50f40e31b9e00237c67f267188057 (diff)
added more tests about basic scorsh setup
Diffstat (limited to 'test/scorsh_testsuite')
-rwxr-xr-x[-rw-r--r--]test/scorsh_testsuite14
1 files changed, 10 insertions, 4 deletions
diff --git a/test/scorsh_testsuite b/test/scorsh_testsuite
index 57954f7..a631a29 100644..100755
--- a/test/scorsh_testsuite
+++ b/test/scorsh_testsuite
@@ -22,10 +22,10 @@ trap cleanup 0 HUP INT TRAP TERM QUIT
## func
cleanup(){
## do stuff here
- rm -rf ${SCORSH_REPO}
- rm -rf ${SCORSH_APP}
- rm -rf ${REMOTE_REPO}
- rm -rf ${LOCAL_REPO}
+ # rm -rf ${SCORSH_REPO}
+ # rm -rf ${SCORSH_APP}
+ # rm -rf ${REMOTE_REPO}
+ # rm -rf ${LOCAL_REPO}
echo "Exiting..."
}
@@ -37,6 +37,10 @@ run_tests(){
export PASSED_TESTS FAILED_TESTS TOT_TESTS
echo "\033[4;7;36m-+-+- running tests in $t -+-+-\033[0m"
$t
+ if [ $? -ne 0 ]; then
+ echo "test $t aborted unexpectedly. Aborting"
+ exit 2
+ fi
eval $(cat ${STATUS_FILE})
echo "\033[35m-------------------------------------------------------------\033[0m"
@@ -52,6 +56,8 @@ PASSED_TESTS=0
FAILED_TESTS=0
TOT_TESTS=0
+rm ${STATUS_FILE}
+
run_tests
report_results